Bug 1410937 - Rebase openstack-neutron to 9.1.1 hash 7e5d6a4
Summary: Rebase openstack-neutron to 9.1.1 hash 7e5d6a4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z1
: 10.0 (Newton)
Assignee: Jon Schlueter
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 21:33 UTC by Jon Schlueter
Modified: 2017-01-26 16:41 UTC (History)
4 users (show)

Fixed In Version: openstack-neutron-9.1.1-2.el7ost
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-26 16:41:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1578842 None None None 2017-01-06 23:02:43 UTC
Launchpad 1580377 None None None 2017-01-06 22:54:01 UTC
Launchpad 1611237 None None None 2017-01-06 23:01:51 UTC
Launchpad 1630920 None None None 2017-01-06 22:56:37 UTC
Launchpad 1636963 None None None 2017-01-06 22:53:09 UTC
Launchpad 1642770 None None None 2017-01-06 22:56:10 UTC
Launchpad 1642918 None None None 2017-01-06 23:02:22 UTC
Launchpad 1645616 None None None 2017-01-06 22:55:16 UTC
Launchpad 1646107 None None None 2017-01-06 22:57:00 UTC
Launchpad 1648206 None None None 2017-01-06 22:55:39 UTC
Launchpad 1649317 None None None 2017-01-06 22:53:31 UTC
Launchpad 1649665 None None None 2017-01-06 22:52:21 UTC
Red Hat Bugzilla 1394865 None None None 2017-01-06 23:03:54 UTC
Red Hat Product Errata RHBA-2017:0201 normal SHIPPED_LIVE openstack-neutron bug fix advisory 2017-01-26 21:40:54 UTC

Description Jon Schlueter 2017-01-06 21:33:04 UTC
Rebase openstack-neutron to 9.1.1 including changes up to hash 7e5d6a4e2289bdefb983e90f4e392d1a6fcce344

Comment 2 Jon Schlueter 2017-01-06 22:03:42 UTC
clean rebase to 9.1.1 with no new downstream patches and then patching to include


    Changelog:
    - Fix DHCP Port Creation on Service Subnets (lp#1636963)
    - Correctly print --limit value passed via API (lp#1649665)
    - Use subqueries for rbac_entries and subnets<->network (lp#1649317)
    - Delete conntrack when remote ipset member removed (lp#1580377)
    - Add a trunk rally test (lp
    - Add rally hook to neutron devstack plugin
    - Imported Translations from Zanata
    - Skip larger than /64 subnets in DHCP agent (lp#1645616)
    - SRIOV: don't block report_state with device count (lp#1648206)
    - Speed-up iptables_manager remove_chain() code (lp#1642770)
    - Only send string values to OVSDB other_config column (lp#1630920)
    - Don't compile OVS kernel modules for functional job (lp#1646107)
    - ovs-agent: Close ryu app on all exceptions (lp#1611237)
    - callbacks: Make the value of FLOATING_IP match with api resource (lp#1642918)
    - Changing arping command execute to accept 1 as extra OK code (lp#1578842)
    - ovs-agent: Catch exceptions in agent_main_wrapper (lp#1611237)
    - ovsdb: don't erase existing ovsdb managers (rhbz#1394865)


bringing us up to the given hash

Comment 7 Eran Kuris 2017-01-17 07:27:25 UTC
Verified on OSP10 - ran: tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps

tempest.scenario.test_network_basic_ops.TestNetworkBasicOps

neutron.tests.tempest.scenario

Comment 10 errata-xmlrpc 2017-01-26 16:41:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0201.html


Note You need to log in before you can comment on or make changes to this bug.